This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 992289 - freefem++: FTBFS in rawhide
freefem++: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freefem++ (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 00:14 EDT by Dennis Gilmore
Modified: 2013-12-17 14:14 EST (History)
3 users (show)

See Also:
Fixed In Version: freefem++-3.26-1.2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 14:14:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 00:14:59 EDT
Your package freefem++ failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5716378

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/6378/5716378/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/6378/5716378/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/6378/5716378/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Ralf Corsepius 2013-08-20 00:20:46 EDT
The immediate cause of this FTBFS is the spec trying to access an undefined rpm-macro (%{_mpich2_load}):
...
++ unset _LMFILES_
+ popd
+ pushd mpich2
+ '%{_mpich2_load}'
/var/tmp/rpm-tmp.2Z97PY: line 114: fg: no job control
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.2Z97PY (%build)
    Bad exit status from /var/tmp/rpm-tmp.2Z97PY (%build)
Child return code was: 1
...

From what I can gather, the origin of this breakdown is Fedora apparently having abandoned support for mpich2.

Rathann, how do you want to proceeded with this FTBFS?
Comment 2 Fedora End Of Life 2013-09-16 11:22:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora Update System 2013-12-01 18:30:45 EST
freefem++-3.26-1.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freefem++-3.26-1.2.fc20
Comment 4 Fedora Update System 2013-12-02 18:52:53 EST
Package freefem++-3.26-1.2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freefem++-3.26-1.2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22561/freefem++-3.26-1.2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-17 14:14:34 EST
freefem++-3.26-1.2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.